Bug 1431476 - Impress: Moving slides copies instead of moving
Summary: Impress: Moving slides copies instead of moving
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 00:37 UTC by Andy Grover
Modified: 2017-03-15 18:24 UTC (History)
5 users (show)

Fixed In Version: libreoffice-5.2.5.2-4.fc25 libreoffice-5.2.6.2-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 18:24:06 UTC


Attachments (Terms of Use)

Description Andy Grover 2017-03-13 00:37:13 UTC
Description of problem:
Dragging and dropping to move slides, either in the main view left-hand slide list, or in the slide sorter view, does not move slides, it copies them, which is what ctrl-dragging is supposed to do, not just dragging. (ctrl-dragging still copies, as expected.)

Version-Release number of selected component (if applicable):
libreoffice-impress-5.2.6.2-3

How reproducible:
always

Steps to Reproduce:
1. Create an Impress presentation with multiple slides
2. Drag them around in the left-hand slides window
3.

Actual results:
slides are copied

Expected results:
slides should be moved

Additional info:
Wayland

Comment 1 Caolan McNamara 2017-03-13 11:44:50 UTC
huh!, it was definitely moving the last time I looked at this

Comment 2 Caolan McNamara 2017-03-13 12:39:10 UTC
I wonder if a recent gtk3 update has started triggering this

Comment 3 Fedora Update System 2017-03-14 09:44:46 UTC
libreoffice-5.2.6.2-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-231cceb063

Comment 4 Fedora Update System 2017-03-14 18:22:43 UTC
libreoffice-5.2.6.2-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-231cceb063

Comment 5 Fedora Update System 2017-03-15 18:24:06 UTC
libreoffice-5.2.6.2-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.